<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__canfd__data__structures" kind="group">
    <compoundname>group_canfd_data_structures</compoundname>
    <title>Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__canfd__r0__t">cy_stc_canfd_r0_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__r1__t">cy_stc_canfd_r1_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__rx__buffer__t">cy_stc_canfd_rx_buffer_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__t0__t">cy_stc_canfd_t0_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__t1__t">cy_stc_canfd_t1_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__tx__buffer__t">cy_stc_canfd_tx_buffer_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__id__filter__t">cy_stc_id_filter_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__f0__t">cy_stc_canfd_f0_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__f1__t">cy_stc_canfd_f1_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__extid__filter__t">cy_stc_extid_filter_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__bitrate__t">cy_stc_canfd_bitrate_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__transceiver__delay__compensation__t">cy_stc_canfd_transceiver_delay_compensation_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__sid__filter__config__t">cy_stc_canfd_sid_filter_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__extid__filter__config__t">cy_stc_canfd_extid_filter_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__global__filter__config__t">cy_stc_canfd_global_filter_config_t</innerclass>
    <innerclass prot="public" refid="structcy__en__canfd__fifo__config__t">cy_en_canfd_fifo_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__config__t">cy_stc_canfd_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__interrupt__handling__t">cy_stc_canfd_interrupt_handling_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__canfd__context__t">cy_stc_canfd_context_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__canfd__data__structures_1ga7300609d8a0291692ae148456fee951c" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_canfd_tx_msg_func_ptr_t) (void)</definition>
        <argsstring>)(void)</argsstring>
        <name>cy_canfd_tx_msg_func_ptr_t</name>
        <briefdescription>
<para>Message transmission complete callback function (cy_canfd_tx_msg_func_ptr_t). </para>        </briefdescription>
        <detaileddescription>
<para>Signals a successful completed transmission. Triggered with <ref kindref="member" refid="group__group__canfd__tx__interrupt__masks_1ga0e4b83e01513b8e8b453a7537991e38f">CY_CANFD_TRANSMISSION_COMPLETE</ref> interrupt event </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="929" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="929" />
      </memberdef>
      <memberdef id="group__group__canfd__data__structures_1ga3fdd841e17fd4e706f5f217ca80a691a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_canfd_rx_msg_func_ptr_t) (bool rxFIFOMsg, uint8_t msgBufOrRxFIFONum, cy_stc_canfd_rx_buffer_t *basemsg)</definition>
        <argsstring>)(bool rxFIFOMsg, uint8_t msgBufOrRxFIFONum, cy_stc_canfd_rx_buffer_t *basemsg)</argsstring>
        <name>cy_canfd_rx_msg_func_ptr_t</name>
        <briefdescription>
<para>The message reception callback function for message received in the dedicated Rx Buffer or in Rx FIFO (cy_canfd_rx_msg_func_ptr_t) </para>        </briefdescription>
        <detaileddescription>
<para>Signals that CAN FD has received a new message.<itemizedlist>
<listitem><para>If message was received in the dedicated Rx Buffer (0 - 63), rxFIFOMsg is False and u8MsgBufOrFIFONum indicates the Rx Buffer number.</para></listitem><listitem><para>If message was received in Rx FIFO (0/1), rxFIFOMsg is True and u8MsgBufOrFIFONum indicates the FIFO number.</para></listitem></itemizedlist>
</para><para>Triggered with corresponding <linebreak />
<ref kindref="member" refid="group__group__canfd__rx__interrupt__masks_1gae3e730b5241a4eb270275f7e429badc8">CY_CANFD_RX_BUFFER_NEW_MESSAGE</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__rx__interrupt__masks_1ga5f6b954ff4db0a8324fe186547b395d0">CY_CANFD_RX_FIFO_0_NEW_MESSAGE</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__rx__interrupt__masks_1gabfc42300386c411764757afe16d51d21">CY_CANFD_RX_FIFO_1_NEW_MESSAGE</ref> <linebreak />
interrupt events. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="948" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="948" />
      </memberdef>
      <memberdef id="group__group__canfd__data__structures_1gae198512e1fb6df10b86da3a393b536ec" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_canfd_error_func_ptr_t) (uint32_t errorMask)</definition>
        <argsstring>)(uint32_t errorMask)</argsstring>
        <name>cy_canfd_error_func_ptr_t</name>
        <briefdescription>
<para>The error callback function (cy_canfd_error_func_ptr_t). </para>        </briefdescription>
        <detaileddescription>
<para>Signals that the CAN bus status changed or an error occurred. <linebreak />
Triggered with <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1gae13414ed3f356414165a8b938deaacd6">CY_CANFD_RX_FIFO_0_WATERMARK_REACHED</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga5b8d3d238a58cfefc614a19c3c2841bb">CY_CANFD_RX_FIFO_0_FULL</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga6936c27973ecce801a1c6ecdd82a833c">CY_CANFD_RX_FIFO_0_MSG_LOST</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga79e16c864666ce6d9de32bc7439e2f4b">CY_CANFD_RX_FIFO_1_WATERMARK_REACHED</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga2b5752cbf076a583680053a3e9554acf">CY_CANFD_RX_FIFO_1_FULL</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga59946450a7a27558e0ae7582c55dd77b">CY_CANFD_RX_FIFO_1_MSG_LOST</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga531fc967d30d48ada1437f4cbf055624">CY_CANFD_TX_FIFO_1_WATERMARK_REACHED</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga38c8c451a0fa2fbf80bcad9d9dc0da88">CY_CANFD_TX_FIFO_1_FULL</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1gae24e466c2930696f60e937f01c4191eb">CY_CANFD_TX_FIFO_1_MSG_LOST</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga44581f70c8de8891d6abd193cbc7ae2a">CY_CANFD_TIMESTAMP_WRAPAROUND</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga70c9750a5ca9bdf16bb2009ef3e0cd87">CY_CANFD_MRAM_ACCESS_FAILURE</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga73acbcfbfcfe16b7858261e60ed64e5b">CY_CANFD_TIMEOUT_OCCURRED</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1gad96a141416fb5d4d9ccd6708719c808e">CY_CANFD_BIT_ERROR_CORRECTED</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga9eaca937b1c8441978b31b15af954da4">CY_CANFD_BIT_ERROR_UNCORRECTED</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga07258c32b72a4b302ae87db36f13c686">CY_CANFD_ERROR_LOG_OVERFLOW</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga8e49a2b90ab986c546e05e4313b880f0">CY_CANFD_ERROR_PASSIVE</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1gae8066b204ec6742158c71a550cb79496">CY_CANFD_WARNING_STATUS</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1gacb193d4ca9fca66c4e462b9752277b05">CY_CANFD_BUS_OFF_STATUS</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga9a73ecd64b490489158bddb537c88541">CY_CANFD_WATCHDOG_INTERRUPT</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga93eef7fd846e01695d9c9bf423f5f44c">CY_CANFD_PROTOCOL_ERROR_ARB_PHASE</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga5d8e107f8e5a3c6f74d4500605e060a2">CY_CANFD_PROTOCOL_ERROR_DATA_PHASE</ref> <linebreak />
<ref kindref="member" refid="group__group__canfd__error__interrupt__masks_1ga7acc6fedca4721af0f6970ca781982cd">CY_CANFD_ACCESS_RESERVED_ADDR</ref> <linebreak />
interrupt events. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="981" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="981" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>